<?php
    /**
     * For full documentation, please visit: http://docs.reduxframework.com/
     * For a more extensive sample-config file, you may look at:
     * https://github.com/reduxframework/luxia/blob/master/sample/sample-config.php
     */

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "luxia_data";


    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
      'opt_name' => 'luxia_data',
      'dev_mode' => false,
      'use_cdn' => true,
      'display_name' => $theme->get( 'Name' ),
      'display_version' => $theme->get( 'Version' ),
      'page_slug' => '_options',
      'page_title' => esc_html__('Theme Options', 'luxia'),
      'admin_bar' => true,
      'menu_type' => 'menu',
      'menu_title' => esc_html__('Theme Options', 'luxia'),
      'admin_bar_icon' => 'dashicons-admin-generic',
      'allow_sub_menu' => true,
      'page_parent_post_type' => 'your_post_type',
      'customizer' => true,
      'hints' => array(
        'icon'          => 'el el-question-sign',
        'icon_position' => 'right',
        'icon_size'     => 'normal',
        'tip_style'     => array(
          'color' => 'dark',
        ),
        'tip_position' => array(
          'my' => 'top left',
          'at' => 'bottom right',
        ),
        'tip_effect' => array(
          'show' => array(
            'duration' => '500',
            'event'    => 'mouseover',
          ),
          'hide' => array(
            'duration' => '500',
            'event'    => 'mouseleave unfocus',
          ),
        ),
      ),
      'output' => true,
      'output_tag' => true,
      'settings_api' => true,
      'cdn_check_time' => '1440',
      'compiler' => true,
      'page_permissions' => 'manage_options',
      'save_defaults' => true,
      'show_import_export' => true,
      'transient_time' => '3400',
      'network_sites' => true,
      'disable_tracking' => true,
    );

    Redux::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */


    /*
     *
     * ---> START SECTIONS
     *
     */

    // General Settings
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'General Settings', 'luxia' ),
      'id'     => 'luxia__section-general',
      'icon'   => 'el el-cogs',
      'fields' => array(
        array(
          'id'        => 'luxia__opt-logo-standard',
          'type'      => 'media',
          'url'       => true,
          'title'     => esc_html__('Logo Image 1', 'luxia'),
          'compiler'  => 'true',
          'desc'      => esc_html__('Upload your image or remove image', 'luxia'),
          'default'   => array(
            'url'     => get_template_directory_uri() . '/inc/assets/images/logo.png'),
        ),
          array(
          'id'        => 'luxia__opt-logo-standard1',
          'type'      => 'media',
          'url'       => true,
          'title'     => esc_html__('Logo Image 2', 'luxia'),
          'compiler'  => 'true',
          'desc'      => esc_html__('Upload your image or remove image', 'luxia'),
          'default'   => array(
            'url'     => get_template_directory_uri() . '/inc/assets/images/logo1.png'),
        ),
          array(
          'id'        => 'luxia__opt-logo-standard2',
          'type'      => 'media',
          'url'       => true,
          'title'     => esc_html__('Logo Image 3', 'luxia'),
          'compiler'  => 'true',
          'desc'      => esc_html__('Upload your image or remove image', 'luxia'),
          'default'   => array(
            'url'     => get_template_directory_uri() . '/inc/assets/images/logo2.png'),
        ),
          
          



      )
    ) );
    



// Header email and phone number Top Bar
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Header Top Bar', 'luxia' ),
      'id'     => 'luxia__subsection-header-top-bar ',
      'fields' => array(
		array(
          'id'        => 'luxia__opt-Header-layout',
          'title'     => esc_html__('Change Header Layout', 'luxia'),
		   'type'     => 'image_select',
          'options'   => array(
				11 => array(

					'img' => get_template_directory_uri() . '/inc/admin/images/hader01.png',
                    'alt' => esc_html__( 'Header Layout 1', 'luxia' ),
				),	
              22 => array(

					'img' => get_template_directory_uri() . '/inc/admin/images/hader02.png',
					'alt' => esc_html__( 'Header Layout 2', 'luxia' ),
				),		
              33 => array(

					'img' => get_template_directory_uri() . '/inc/admin/images/hader03.png',
					'alt' => esc_html__( 'Header Layout 3', 'luxia' ),
				),		
            	
		  ),

		  'default' => 11

        ),


        array(
          'id'        => 'luxia_opt-header-top-bar',
          'type'      => 'switch',
          'title'     => esc_html__('Show Header Top Bar?', 'luxia'),
          'subtitle'  => esc_html__('Turn on to show Top Bar in the top of the Header.', 'luxia'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'luxia'),
          'off'       => esc_html__('No', 'luxia'),
        ),
       
          
        array(
          'id'        => 'luxia_opt-header-top-bar-social-icon-open',
          'type'      => 'switch',
          'title'     => esc_html__('Social Icon?', 'luxia'),
          'subtitle'  => esc_html__('Turn on to display the Social Icon in the Header Top Bar.', 'luxia'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'luxia'),
          'off'       => esc_html__('No', 'luxia'),
        ),
		array(
          'id'        => 'luxia_opt-header-top-bar-social-icon',
          'type'      => 'textarea',
          'title'     => esc_html__('Social Icon', 'luxia'),
          'subtitle'  => esc_html__('Office Time to display next to the envelope icon.', 'luxia'),
          'default'   => esc_html__('Welcome to our luxia.', 'luxia'),
		  'required'  => array('luxia_opt-header-top-bar-social-icon-open', '=', '1'),

        ),
          
        array(
          'id'        => 'luxia_opt-header-top-bar-email',
          'type'      => 'switch',
          'title'     => esc_html__('Display Email Address?', 'luxia'),
          'subtitle'  => esc_html__('Turn on to display the email address in the Header Top Bar.', 'luxia'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'luxia'),
          'off'       => esc_html__('No', 'luxia'),
        ),


        array(
          'id'        => 'luxiat_opt-header-top-email',
          'type'      => 'text',
          'title'     => esc_html__('Email address', 'luxia'),
          'subtitle'  => esc_html__('Email address to display next to the envelope icon.', 'luxia'),
          'subtitle'  => esc_html__('Email address to display next to the envelope icon.', 'luxia'),
          'default'   => esc_html__('info@example.com', 'luxia'),
          'required'  => array('luxia_opt-header-top-bar-email', '=', '1'),
        ),


        array(
          'id'        => 'luxia_opt-header-top-bar-phone',
          'type'      => 'switch',
          'title'     => esc_html__('Display phone number?', 'luxia'),
          'subtitle'  => esc_html__('Turn on to display the phone number in the Header Top Bar.', 'luxia'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'luxia'),
          'off'       => esc_html__('No', 'luxia'),
        ),
        array(
          'id'        => 'luxia_opt-header-top-phone',
          'type'      => 'text',
          'title'     => esc_html__('Phone Number', 'luxia'),
          'subtitle'  => esc_html__('Phone Number to display next to the envelope icon.', 'luxia'),
          'default'   => esc_html__('786-098-098-09', 'luxia'),
          'required'  => array('luxia_opt-header-top-bar-phone', '=', '1'),
        ),    
          
            array(
          'id'        => 'luxia_opt-header-top-bar-time',
          'type'      => 'switch',
          'title'     => esc_html__('Display Office Time?', 'luxia'),
          'subtitle'  => esc_html__('Turn on to display the Office time in the Header Top Bar.', 'luxia'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'luxia'),
          'off'       => esc_html__('No', 'luxia'),
        ),
        array(
          'id'        => 'luxia_opt-header-top-time',
          'type'      => 'text',
          'title'     => esc_html__('Timing', 'luxia'),
          'subtitle'  => esc_html__('Time to display next to the envelope icon.', 'luxia'),
          'default'   => esc_html__(' <span>Mon - Sat:</span> 10:00 - 22:00', 'luxia'),
          'required'  => array('luxia_opt-header-top-bar-time', '=', '1'),
        ),  
          
            array(
          'id'        => 'luxia_opt-header-top-bar-callus',
          'type'      => 'switch',
          'title'     => esc_html__('Display Top Call Banner?', 'luxia'),
          'subtitle'  => esc_html__('Turn on to display the Top Call Banner in the Header Top Bar.', 'luxia'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'luxia'),
          'off'       => esc_html__('No', 'luxia'),
        ),
        array(
          'id'        => 'luxia_opt-header-top-callus',
          'type'      => 'text',
          'title'     => esc_html__('Call Us Banner', 'luxia'),
          'subtitle'  => esc_html__('To display the banner next to the envelope icon.', 'luxia'),
          'default'   => esc_html__(' banner', 'luxia'),
          'required'  => array('luxia_opt-header-top-bar-callus', '=', '1'),
        ),    
              
            array(
          'id'        => 'luxia_opt-header-top-bar-search',
          'type'      => 'switch',
          'title'     => esc_html__('Display Search Icon?', 'luxia'),
          'subtitle'  => esc_html__('Turn on to display the Search in the Header Top Bar.', 'luxia'),
          'default'   => 2,
          'on'        => esc_html__('Yes', 'luxia'),
          'off'       => esc_html__('No', 'luxia'),
        ),
        array(
          'id'        => 'luxia_opt-header-top-search',
          'type'      => 'text',
          'title'     => esc_html__('Search', 'luxia'),
          'subtitle'  => esc_html__('To display Search to the envelope icon.', 'luxia'),
          'default'   => esc_html__('search', 'luxia'),
          'required'  => array('luxia_opt-header-top-bar-search', '=', '1'),
        ),    
                
    
      )
    ) );



	// Header Right Menu

    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Header Right Menu', 'luxia' ),
      'id'     => 'luxia__subsection-right-menu',
      'subsection' => true,
      'fields' => array(
          array(
            'id'        => 'luxia__opt-right-menu',
            'type'      => 'switch',
            'title'     => esc_html__('Switch', 'luxia'),
			 'default'   => 2,
            'on'        => esc_html__( 'Yes', 'luxia' ),
            'off'       => esc_html__( 'No', 'luxia' ),
          ),

          array(
            'id'      => 'luxia__right-menu',
            'type'    => 'textarea',
            'title'   => esc_html__( 'Right Menu Text', 'luxia' ),
			'default'   => 1,
            'default' => ' <a href="contact.html" class="btn ss-btn">Get A Quote</a>',
            'required'  => array('luxia__opt-right-menu', '=', '1'),
          ),
      )
        
        
        
        
    ) );


 Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Header Right Menu 1', 'luxia' ),
      'id'     => 'luxia__subsection-right-menu1',
      'subsection' => true,
      'fields' => array(
          array(
            'id'        => 'luxia__opt-right-menu1',
            'type'      => 'switch',
            'title'     => esc_html__('Switch', 'luxia'),
			 'default'   => 2,
            'on'        => esc_html__( 'Yes', 'luxia' ),
            'off'       => esc_html__( 'No', 'luxia' ),
          ),

          array(
            'id'      => 'luxia__right-menu1',
            'type'    => 'textarea',
            'title'   => esc_html__( 'Right Menu Text 1', 'luxia' ),
			'default'   => 1,
            'default' => ' <a href="contact.html" class="btn ss-btn">Get A Quote</a>',
            'required'  => array('luxia__opt-right-menu1', '=', '1'),
          ),
      )
        
        
        
        
    ) );

	
     


	 ///////////////////////////////////////////////////////// Theme color///////////////////////////////////////
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Theme Colors', 'luxia' ),
      'id'     => 'luxia__section-color',
      'icon'   => 'el el-arrow-down',
      'fields' => array(
      )
    ) );

	Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'General Theme Colors', 'luxia' ),
      'id'     => 'luxia__subsection-general-theme-color',
	  'subsection' => true,
      'fields' => array(
	   array(
          'id'        => 'luxia__opt-body-text-color',
          'type'      => 'color',
          'title'     => esc_html__('Body Text Color', 'luxia'),
		   'default' => '#6e6e6e',
		  'output'  => array('body,.widget_categories a'),
		  'subtitle' => esc_html__('Theme Text Body Color Manage from the Redux Controller', 'luxia'),
        ),
		 array(
			'id'       => 'opt-color-blog',
			'type'     => 'background',
			'output'   => array('.site-content'),
			'title'    => esc_html__('Page Background Color', 'luxia'),
			'subtitle' => esc_html__('Pick a Page Background color for the theme', 'luxia'),
            'default'  => array(
            'background-color'    => '#ffffff',
          ),
		),
		 array(
			'id'       => 'opt-color-breadcums',
			'type'     => 'background',
			'output'  => array('.breadcrumb-area'),
			'title'    => esc_html__('Breadcums Background Color', 'luxia'),
			'subtitle' => esc_html__('Pick a Breadcums background color for the theme', 'luxia'),
			'default'               => array(
            'background-color'    => '#20282E',
			'background-image'    => get_template_directory_uri() . '/inc/assets/images/breadcrumb_bg.png',

          ),
		),
		array(
			'id'       => 'opt-color-footer',
			'type'     => 'background',
			'output'  => array('.footer-bg'),
			'title'    => esc_html__('Footer Background Color', 'luxia'),
			'subtitle' => esc_html__('Pick a Footer background color for the theme', 'luxia'),
			'default'               => array(
            'background-color'    => '#20282E',
            'background-image'    => get_template_directory_uri() . '/inc/assets/img/footer_bg.jpg',
          ),
		),
		array(
			'id'        => 'opt-color-bakground',
			'type'      => 'color',
			'title'     => esc_html__('Color', 'luxia'),
			'subtitle'  => esc_html__('Pick a background color.', 'luxia'),
			'default'   => '#f15b26',
			'output'    => array(
				'background-color' => 'choose-area .btn,.about-title p span,.wpcf7-form .btn,#scrollUp,.s-btn:hover,.pricing-box.active .pricing-btn .btn,.pricing-btn .btn:hover',
				'color'            => '.section-title span,.breadcrumb > .active,.elementor-widget-Elementor_title-bar2-widget .section-title span,.comment-text .avatar-name span',
				'border-color'     => '.pricing-box.active .pricing-btn .btn,.pricing-btn .btn:hover,.s-btn:hover,.s-features:hover .features-icon img,.f-cta-area.gray-bg'

			)
		),

		array(
			'id'        => 'opt-color-blue',
			'type'      => 'color',
			'title'     => esc_html__('Color Blue', 'luxia'),
			'subtitle'  => esc_html__('Pick a background color.', 'luxia'),
			'default'   => '#f15b26',
			'output'    => array(
				'background-color' => '.comment-form .submit:hover,.comment-text .avatar-name .comment-reply:hover a,.section-title h2::before,.bsingle__content .blog__btn .btn:hover,.search-form .search-submit,.widget-social a:hover',
				'color'            => '.b-meta ul li.corpo a,.main-menu ul li:hover > a,.s-single-services:hover .second-services-content h5,.s-single-services:hover .second-services-content a',
				'border-color'     => '.bsingle__content .blog__btn .btn,.comment-form .submit,.footer-bg'
			)
		),
		array(
			'id'        => 'opt-color-black',
			'type'      => 'color',
			'title'     => esc_html__('Color Black', 'luxia'),
			'subtitle'  => esc_html__('Pick a background color.', 'luxia'),
			'default'   => '#20282E',
			'output'    => array(
				'color'            => '.elementor-widget-Elementor_title-bar2-widget .section-title h2',
			)
		),
      )
    ) );






	 /////////////////////////////////////////////////footer ///////////////////////////////////////////////
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Theme Footer', 'luxia' ),
      'id'     => 'luxia__section-footer',
      'icon'   => 'el el-arrow-down',
      'fields' => array(
      )
    ) );
	

// Footer Text
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Footer Text', 'luxia' ),
      'id'     => 'luxia__subsection-footer-text',
      'subsection' => true,
      'fields' => array(
          array(
            'id'        => 'luxia__opt-footer-text',
            'type'      => 'switch',
            'title'     => esc_html__('Switch', 'luxia'),
			'default'   => 2,
            'on'        => esc_html__( 'Yes', 'luxia' ),
            'off'       => esc_html__( 'No', 'luxia' ),
          ),
           array(
            'id'      => 'luxia__footer-phone-img',
              'type'      => 'media',
              'url'       => true,
              'title'     => esc_html__('Phone Icon', 'luxia'),
              'compiler'  => 'true',
              'desc'      => esc_html__('Upload your image or remove image', 'luxia'),
              'default'   => array(
              'url'     => get_template_directory_uri() . '/inc/assets/img/ft-icon01.png'),
            'required'  => array('luxia__opt-footer-text', '=', '1'),
          ),
          array(
            'id'      => 'luxia__footer-phone',
            'type'    => 'editor',
            'title'   => esc_html__( 'Phone Text', 'luxia' ),
			'default'   => 1,
             'default' => '<span>Mon-Fri 9am-6pm</span>
                                    <h3> 8 800 567.890.11</h3>',
            'required'  => array('luxia__opt-footer-text', '=', '1'),
          ),
          
        
              
           
           )
    ) );


    // Footer Copyright
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Copyright', 'luxia' ),
      'id'     => 'luxia__subsection-footer-copyright',
      'subsection' => true,
      'fields' => array(
          array(
            'id'        => 'luxia__opt-copyright',
            'type'      => 'switch',
            'title'     => esc_html__('Switch', 'luxia'),
			 'default'   => 2,
            'on'        => esc_html__( 'Yes', 'luxia' ),
            'off'       => esc_html__( 'No', 'luxia' ),
          ),
		  
		
		  
          array(
            'id'      => 'luxia__copyright',
            'type'    => 'text',
            'title'   => esc_html__( 'Copyright Textarea', 'luxia' ),
			'default'   => 1,
            'default' => '&copy; luxia All design Zcube. .',
            'required'  => array('luxia__opt-copyright', '=', '1'),
          ),
      )
    ) );

	
	

    // Footer Widgets
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Widgets', 'luxia' ),
      'id'     => 'luxia__subsection-footer-widgets',
	  'subsection' => true,
      'fields' => array(
        array(
          'id'        => 'luxia__opt-footer-widgets',
          'type'      => 'switch',
          'title'     => esc_html__('Switch', 'luxia'),
          'default'   => 2,
          'on'        => 'Show',
          'off'       => 'Hide',
        ),
        array(
          'id'        => 'luxia__opt-footer-widgets-layout',
          'type'      => 'image_select',
          'compiler'  => true,
          'title'     => esc_html__('Footer Widgets Layout', 'luxia'),
          'options'   => array(
            '1' => array(
              'alt' => esc_html__( '4 Columns (equal)', 'luxia' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols2.png'),
            '2' => array(
              'alt' => esc_html__('4 Columns', 'luxia'),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols1.png'),
            '3' => array(
              'alt' => esc_html__( '3 Columns (left wider)', 'luxia' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols3.png'),
            '4' => array(
              'alt' => esc_html__( '3 Columns (right wider)', 'luxia' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols4.png'),
            '5' => array(
              'alt' => esc_html__( '3 Columns (equal)', 'luxia' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols5.png'),
            '6' => array(
              'alt' => esc_html__( '2 Columns (right wider)', 'luxia' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols6.png'),
            '7' => array(
              'alt' => esc_html__( '2 Columns (left wider)', 'luxia' ),
              'img' => get_template_directory_uri() . '/inc/admin/images/footer-cols7.png'),
          ),
          'default'   => '1',
          'required'  => array('luxia__opt-footer-widgets', '=', '1'),
        ),
      )
    ) );


    // Custom CSS
    Redux::setSection( $opt_name, array(
      'title'  => esc_html__( 'Custom CSS', 'luxia' ),
      'id'     => 'luxia__section-custom-css',
      'icon'   => 'el el-css',
      'fields' => array(
        array(
          'id'        => 'luxia__opt-custom-css',
          'type'      => 'ace_editor',
          'title'     => esc_html__('CSS Code', 'luxia'),
          'subtitle'  => esc_html__('Paste your CSS code here.', 'luxia'),
          'mode'      => 'css',
          'theme'     => 'monokai',
          'desc'      => 'Any custom CSS can be added here, it will override the theme CSS.',
          'default'   => ""
        ),
      )
    ) );

    /*
     * <--- END SECTIONS--->
     */