<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_brand_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-brand-widget';
	}

	public function get_title() {
		return __( 'Zc >  Brand Box' ,'luxia' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Brand','luxia'),]
		);
        
        
           $this->add_control(
               
			'background_img',

			[

				'label' => esc_html__( 'Background Image' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        

        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','luxia'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
				
				           		
					[
						'name' => 'icon',
						'label' => esc_html__( 'Icon','luxia'),
						'type' => Controls_Manager::MEDIA,
					],
					
					
					[

						'name' => 'link-text',

						'label' => esc_html__( 'Button Text','luxia'),

						'type' => Controls_Manager::TEXT,

					],
					[

						'name' => 'link-hrf-btn',

						'label' => esc_html__( 'Button Link','luxia'),

						'type' => Controls_Manager::URL,

					],
					
					
					
				],
			]
		);
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('brand', [
			'service_section_var' => $this->get_settings('service_section'),
			'column_section_data' => $this->get_settings('column_section'),
			'background_img' => $this->get_settings('background_img'),

			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_brand_box() );