<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_Widget_choose extends Widget_Base {

	public function get_name() {
		return 'Elementor_choose-widget';
	}

	public function get_title() {
		return esc_html__( 'Zc > Call Area','luxia');
	}

	public function get_icon() {

		 return 'eicon-image-box';
	 }

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);

		$this->start_controls_section(
			'the_header_controls',
			['label' => esc_html__( 'Header Section','luxia'),]
		);
        

		$this->add_control(

			'background-media',

			[

				'label' => esc_html__( 'Background Images' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);

		
		$this->add_control(

			'text-heading02',

			[

				'label' => esc_html__( 'Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);

	

		$this->add_control(
			'text-control',
			[
				'label' => esc_html__( 'Text' ,'luxia'),
				'type' => Controls_Manager::TEXTAREA,
			]
			);


			

		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {


		luxia_el()->get_section('call-area', [
			'text-control1' => $this->get_settings('text-control'),
			'text-control2' => $this->get_settings('text-heading02'),
			'text-control3' => $this->get_settings('text-heading01'),
			'text-btn-icon1' => $this->get_settings('text-btn-icon'),
			'text-btn-text1' => $this->get_settings('text-btn-text'),
			'text-btn-link1' => $this->get_settings('text-btn-link'),
            
            'text-btn-icon2' => $this->get_settings('text-btn-icon2'),
			'text-btn-text2' => $this->get_settings('text-btn-text2'),
			'text-btn-link2' => $this->get_settings('text-btn-link2'),
            
			'background-media1' => $this->get_settings('background-media'),
			'mobile-media1' => $this->get_settings('mobile-media'),
            'menu-id01' => $this->get_settings('menu-id'),
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_Widget_choose() );
