<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_client extends Widget_Base {

	public function get_name() {
		return 'Elementor-client-widget';
	}

	public function get_title() {
		return __( 'Zc >  Client Box' ,'luxia' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Client Box','luxia'),]
		);
        
        
         $this->add_control(

			'text_heading',

			[

				'label' => esc_html__( 'Text Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
        
        
        
        $this->add_control(

			'symbol_img',

			[

				'label' => esc_html__( 'Symbol Images' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
          $this->add_control(

			'main_img',

			[

				'label' => esc_html__( 'Main Images' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
          $this->add_control(

			'mov_img',

			[

				'label' => esc_html__( 'Move Images' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        $this->add_control(

			'box_img',

			[

				'label' => esc_html__( 'Box Inner Images' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
        
        
           
         $this->add_control(

			'desc',

			[

				'label' => esc_html__( 'Description' ,'luxia'),

				'type' => Controls_Manager::TEXTAREA,

			]

			);
        
         $this->add_control(

			'num',

			[

				'label' => esc_html__( 'Number 1' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
        
         $this->add_control(

			'text',

			[

				'label' => esc_html__( 'Text 1' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
        
        $this->add_control(

			'num1',

			[

				'label' => esc_html__( 'Number 2' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
        
         $this->add_control(

			'text1',

			[

				'label' => esc_html__( 'Text 2' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
        
    
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','luxia'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
                    
                    [                    
						'name' => 'icon',
						'label' => esc_html__( 'Background Image' ,'luxia' ),
						'type' => Controls_Manager::MEDIA,
					],
                          
                    
					
					[                    
						'name' => 'increment',
						'label' => esc_html__( 'increment' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    
					[                    
						'name' => 'title',
						'label' => esc_html__( 'Title' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
					],
                    
				],
			]
		);
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('client', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'column_section_data' => $this->get_settings('column_section'),
            'text_heading' => $this->get_settings('text_heading'),
            'symbol_img' => $this->get_settings('symbol_img'),
            'main_img' => $this->get_settings('main_img'),
            'mov_img' => $this->get_settings('mov_img'),
            'box_img' => $this->get_settings('box_img'),
            'desc' => $this->get_settings('desc'),
            'num' => $this->get_settings('num'),
            'text' => $this->get_settings('text'),
            'num1' => $this->get_settings('num1'),
            'text1' => $this->get_settings('text1'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_client() );