<?php

namespace Elementor;



if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly



class Elementor_Widget_contacts extends Widget_Base {



	public function get_name() {

		return 'Elementor_contacts-widget';

	}

	public function get_title() {

		return esc_html__( 'Zc > Contact Sections','luxia');

	}

	public function get_icon() {		

		 return 'eicon-image-box';

	 }



	protected function _register_controls() {

		$traits = new \luxia_Elementor_Traits($this);


		$this->start_controls_section(

			'the_header_controls',

			['label' => esc_html__( 'Contact Section','luxia'),]

		);	
        
        
        
        $this->add_control(

			'background_img',

			[

				'label' => esc_html__( 'Background Images' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
        $this->add_control(

			'back_img',

			[

				'label' => esc_html__( 'Back Image 1' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
         $this->add_control(

			'back_img1',

			[

				'label' => esc_html__( 'Back Image 2' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);   



		
        
        $this->add_control(

			'text_heading',

			[

				'label' => esc_html__( 'Text Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);  
        
        $this->add_control(

			'text_heading1',

			[

				'label' => esc_html__( 'Text Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);    
        
			
        
        $this->add_control(

			'symbol_img',

			[

				'label' => esc_html__( 'Symbol Image 1'  ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
        
         $this->add_control(

			'desc',

			[

				'label' => esc_html__( 'Description' ,'luxia'),

				'type' => Controls_Manager::TEXTAREA,

			]

			);
        
           $this->add_control(

			'sig_img',

			[

				'label' => esc_html__( 'Signature Image' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);

        
        
        

        $this->add_control(

			'shortcode',

			[

				'label' => esc_html__( 'Enter your shortcode' ,'luxia'),

				'type' => Controls_Manager::TEXTAREA,

			]

			);


		$this->end_controls_section();

	}



	protected function render( $instance = [] ) {


		luxia_el()->get_section('contact-sections', [

			
			'background_img' => $this->get_settings('background_img'),
			'back_img' => $this->get_settings('back_img'),
			'back_img1' => $this->get_settings('back_img1'),
            'text_heading' => $this->get_settings('text_heading'),
            'text_heading1' => $this->get_settings('text_heading1'),
            'symbol_img' => $this->get_settings('symbol_img'),
            'desc' => $this->get_settings('desc'),
            'sig_img' => $this->get_settings('sig_img'),     
			'shortcode' => $this->get_settings('shortcode'),
            
			]);

	}



	protected function content_template() {}
	public function render_plain_content() {}


}


Plugin::instance()->widgets_manager->register_widget_type( new Elementor_Widget_contacts() );

