<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_counter_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-counter-widget';
	}

	public function get_title() {
		return __( 'Zc >  Counter Box' ,'luxia' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Counter','luxia'),]
		);
        
        $this->add_control(

			'background-media1',

			[

				'label' => esc_html__( 'Background Images' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
    
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','luxia'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
					
					
					[                    
						'name' => 'increment',
						'label' => esc_html__( 'increment' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
					],
                                        
                    
                    [					
						'name' => 'content',
						'label' => esc_html__( 'Content','luxia'),
						'type' => Controls_Manager::TEXTAREA,
					],
					
					
					
				],
			]
		);
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('counter', [
			'service_section_var' => $this->get_settings('service_section'),
			'column_section_data' => $this->get_settings('column_section'),
            'background-media1' => $this->get_settings('background-media1'),
          
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_counter_box() );