<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_price_icon_widget extends Widget_Base {

	public function get_name() {
		return 'Elementor-price-icon';
	}

	public function get_title() {
		return esc_html__( 'Zc > Price' ,'luxia');
	}

	public function get_icon() {
		
		return 'eicon-price-table';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'price-icon-control',
			['label' => esc_html__( 'Price Section','luxia'),]
		);
        
        
        $this->add_control(

			'text_heading',

			[

				'label' => esc_html__( 'Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
        
        
        $this->add_control(

			'symbol_img',

			[

				'label' => esc_html__( 'Symbol Image' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
				
			
              
            
        
		$this->add_control(
			'Repeator',
			[
				'label' => esc_html__( 'Services Icon','luxia'),
				'type' => Controls_Manager::REPEATER,
				'fields' =>array_merge([
                    
                    [
						'name' => 'icon',
						'label' => esc_html__( 'Icon Image' ,'luxia' ),
						'type' => Controls_Manager::MEDIA,
						 
			       ],
                    
                                    
                    
                  [

						'name' => 'active_changer',

					   'label' => esc_html__( 'active', 'luxia'),

					   'type' => Controls_Manager::SELECT2,

					   'default' => 'd-active',

					   'options' => [

						'd-active' => esc_html__( 'D-Active', 'luxia'),

						'active' => esc_html__( 'Active', 'luxia'),

						

					    ],

					],
                    
                     [
						'name' => 'text',
						'label' => esc_html__( 'Text' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
						 
					  ],	
				
				     	
				
                    [
						'name' => 'price',
						'label' => esc_html__( 'price','luxia'),
						'type' => Controls_Manager::TEXT,
					],
				   
				  
					[
						'name' => 'content',
						'label' => esc_html__( 'content' ,'luxia'),
						'type' => Controls_Manager::TEXTAREA,
					],
                    
                    
					
					[

						'name' => 'price-button',

						'label' => esc_html__( 'Price Button Text' ,'luxia'),

						'type' => Controls_Manager::TEXT,

					],
					
					[

						'name' => 'price-button-link',

						'label' => esc_html__( 'url' ,'luxia'),

						'type' => Controls_Manager::URL,

						'default' => [

							'url' => '',

							'is_external' => true,

						],

						'show_external' => false,

						'separator' => 'after',

					],
					
				]),
			]
		);
         

		$this->end_controls_section();
		

	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('price', [
			'Repeators' => $this->get_settings('Repeator'),
			'text_heading' => $this->get_settings('text_heading'),
			'symbol_img' => $this->get_settings('symbol_img'),
			
            
	       
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_price_icon_widget() );