<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_service1_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-service1-widget';
	}

	public function get_title() {
		return __( 'Zc >  Services 1 Box' ,'luxia' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Services Section 1','luxia'),]
		);

            $this->add_control(
            'symbol', [
            'label'            =>esc_html__( 'Symbol Image', 'luxia' ),
            'type'             => Controls_Manager::MEDIA,
            ]
            );      
       
       
       
     
	
		$this->add_control(
			'posts_per_page',
			[
				'label'   => esc_html__( 'Number of items to show', 'luxia' ),
				'type'    => Controls_Manager::NUMBER,
				'default' => 6,
			]
		);
        
        
        
        
        
        
        
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('service1', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'column_section_data' => $this->get_settings('column_section'),
			'symbol' => $this->get_settings('symbol'),
			'posts_per_page' => $this->get_settings('posts_per_page'),
			

			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_service1_box() );