<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_service2_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-service2-widget';
	}

	public function get_title() {
		return __( 'Zc >  Services 2 Box' ,'luxia' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Services Section 2','luxia'),]
		);
        
      
        
        $this->add_control(

			'text_heading',

			[

				'label' => esc_html__( 'Text Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
        
        
           $this->add_control(

			'symbol_img',

			[

				'label' => esc_html__( 'Symbol Image' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
        
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','luxia'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
				
				           		
					[
						'name' => 'icon',
						'label' => esc_html__( 'Icon','luxia'),
						'type' => Controls_Manager::MEDIA,
					],
                    
                                    
                    [
						'name' => 'title',
						'label' => esc_html__( 'Title' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                                       
                    [
						'name' => 'symbol_link',
						'label' => esc_html__( 'Symbol Link' ,'luxia' ),
						'type' => Controls_Manager::URL,
					],
                    
                    [
						'name' => 'symbol',
						'label' => esc_html__( 'Symbol','luxia'),
						'type' => Controls_Manager::TEXT,
					],              
                    	
					
					[
						'name' => 'content',
						'label' => esc_html__( 'Content','luxia'),
						'type' => Controls_Manager::TEXTAREA,
					],
							
					
				],
			]
		);
        
        
        
        
        
        
        
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('service2', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'column_section_data' => $this->get_settings('column_section'),
			'text_heading' => $this->get_settings('text_heading'),
			'symbol_img' => $this->get_settings('symbol_img'),
			

			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_service2_box() );