<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_shipping_icon_widget extends Widget_Base {

	public function get_name() {
		return 'Elementor-shipping-icon';
	}

	public function get_title() {
		return esc_html__( 'Zc > Shipping' ,'luxia');
	}

	public function get_icon() {
		
		return 'eicon-shipping-table';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'price-icon-control',
			['label' => esc_html__( 'Shipping Section','luxia'),]
		);
				
  
		$this->add_control(
			'Repeator',
			[
				'label' => esc_html__( 'Services Icon','luxia'),
				'type' => Controls_Manager::REPEATER,
				'fields' =>array_merge([
                    
                   [
						'name' => 'icon',
						'label' => esc_html__( 'Icon Image' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
						 
			       ],
                    
                                    
                             
                  [
                    'name' => 'text',
                    'label' => esc_html__( 'Text' ,'luxia' ),
                    'type' => Controls_Manager::TEXT,

                  ],	
				
				            
                    [
						'name' => 'content',
						'label' => esc_html__( 'Content' ,'luxia'),
						'type' => Controls_Manager::TEXTAREA,
					],
                    
              
					
				]),
			]
		);
         

		$this->end_controls_section();


	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('shipping', [
			'Repeators' => $this->get_settings('Repeator'),
			
            
	       
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_shipping_icon_widget() );