<?php

namespace Elementor;



if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly



class Elementor_teamdetails extends Widget_Base {



	public function get_name() {

		return 'Elementor-teamdetails';

	}



	public function get_title() {

		return esc_html__( 'Zc >  teamdetails' ,'luxia' );

	}



	public function get_icon() {

		

		return 'eicon-icon-box';

	}



	protected function _register_controls() {

		$traits = new \luxia_Elementor_Traits($this);

		

		$this->start_controls_section(

			'services_section',

			['label' => esc_html__( 'teamdetails','luxia'),]

		);
        
        
       
        
        $this->add_control(
			'main_image',

			[

				'label' => esc_html__( 'Main Image' ,'luxia'),

				'type' => Controls_Manager::MEDIA,

			]

			);
        
        
        
          $this->add_control(
			'text_heading',

			[

				'label' => esc_html__( 'Text Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
            
      
        $this->add_control(
			
            'sub_heading',

			[

				'label' => esc_html__( 'Sub Heading' ,'luxia'),

				'type' => Controls_Manager::TEXT,

			]

			);
		
         $this->add_control(
			
            'des',

			[

				'label' => esc_html__( 'Description' ,'luxia'),

				'type' => Controls_Manager::TEXTAREA,

			]

			);
		
		
        
       
        
        
			
         /////social link///
		$social_links_list = [
			[
				'name' => 'select_social_networks',
				'label' => esc_html__( 'Social Networks','luxia' ),
				'type' => Controls_Manager::HEADING,
			]
		];

		for ($i = 1; $i <= 5; $i++) {
			$social_links_list[] = [
				'name' => 'social_network_icon__' . $i,
				'label' => esc_html__( 'Icon','luxia' ),
				'type' => Controls_Manager::TEXT,
			];

			$social_links_list[] = [
				'name' => 'social_network_link__' . $i,
				'label' => esc_html__( 'URL','luxia' ),
				'type' => Controls_Manager::URL,
				'default' => [
					'url' => '',
					'is_external' => true,
				],
				'show_external' => false,
				'separator' => 'after',
			];
		}
        
        
   
        
        

		$this->add_control(

			'service_section',

			[

				'label' => esc_html__( 'Social Icons','luxia'),

				'type' => Controls_Manager::REPEATER,

				'fields' =>  array_merge([
				   
					
					[

						'name' => 'icon',

						'label' => esc_html__( 'Icon','luxia'),

						'type' => Controls_Manager::TEXT,

					],

					[

						'name' => 'text',

						'label' => esc_html__( 'Text' ,'luxia' ),

						'type' => Controls_Manager::TEXT,

					],
                    
                  			
					[

						'name' => 'content',

						'label' => esc_html__( 'Content','luxia'),

						'type' => Controls_Manager::TEXT,

					],
                    
                  			
					

				],$social_links_list),

			]

		);

         

		$this->end_controls_section();

	}



	protected function render( $instance = [] ) {



		luxia_el()->get_section('teamdetails', [

			'service_section_var' => $this->get_settings('service_section'),
			'main_image' => $this->get_settings('main_image'),
			'text_heading' => $this->get_settings('text_heading'),
            'sub_heading' => $this->get_settings('sub_heading'),
            'des' => $this->get_settings('des'),
            
            
		


			]);

	}



	protected function content_template() {}



	public function render_plain_content() {}



}



Plugin::instance()->widgets_manager->register_widget_type( new Elementor_teamdetails() );