<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_testimonial extends Widget_Base {

	public function get_name() {
		return 'Elementor-testimonial';
	}

	public function get_title() {
		return esc_html__( 'Zc >  Testimonial' ,'luxia' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \luxia_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Testimonials','luxia'),]
		);
		
        
      $this->add_control(

            'background_img1',

            [

                'label' => esc_html__( 'Background Image 1' ,'luxia'),

                'type' => Controls_Manager::MEDIA,

            ]

            );
        
        $this->add_control(

            'background_img2',

            [

                'label' => esc_html__( 'Background Image 2' ,'luxia'),

                'type' => Controls_Manager::MEDIA,

            ]

            );
        
        
        
        
     

        $this->add_control(

            'text_heading',

            [

                'label' => esc_html__( 'Text Heading' ,'luxia'),

                'type' => Controls_Manager::TEXT,

            ]

            );
        
      
         $this->add_control(

				'symbol_img',

				[

					'label' => esc_html__( 'Symbol Image' ,'luxia'),

					'type' => Controls_Manager::MEDIA,

				]

				);
        
         				
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','luxia'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
				 [

						'name' => 'quotation_img',

						'label' => esc_html__( 'Quotation Image','luxia'),

						'type' => Controls_Manager::MEDIA,

					],
                    
                	[

						'name' => 'arrow_img',

						'label' => esc_html__( 'Arrow Image','luxia'),

						'type' => Controls_Manager::MEDIA,

					],    
                    
				   
						[

						'name' => 'features_img',

						'label' => esc_html__( 'features Image','luxia'),

						'type' => Controls_Manager::MEDIA,

					],
					
					[

					    'name' => 'features_img_switcher',

						'label' => esc_html__( 'features Image Switcher','luxia'  ),

						'type' => Controls_Manager::SWITCHER,

						'default' => 'yes',

						'label_on' => esc_html__( 'Show','luxia' ),

						'label_off' => esc_html__( 'Hide','luxia'  ),

						'return_value' => 'yes',

					],
					
					
					
                    [
						'name' => 'name',
						'label' => esc_html__( 'name' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    
                    [
						'name' => 'position',
						'label' => esc_html__( 'Position' ,'luxia' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [
						'name' => 'content',
						'label' => esc_html__( 'Content' ,'luxia' ),
						'type' => Controls_Manager::TEXTAREA,
					],
                    
					
                    
                    
                    
					
					
				],
			]
		);
         
		$this->end_controls_section();
		
	
		
	}

	protected function render( $instance = [] ) {

		luxia_el()->get_section('testimonial', [
			'service_section_var' => $this->get_settings('service_section'), 
			'column_section_data' => $this->get_settings('column_section'),
			'hading_section_data' => $this->get_settings('heading-text'),
			'background_img1' => $this->get_settings('background_img1'),
			'background_img2' => $this->get_settings('background_img2'),
             'text_heading' => $this->get_settings('text_heading'),        
        	'symbol_img' => $this->get_settings('symbol_img'),
            
            
            
			
		   
            'img' => $this->get_settings('img'),          
           	'left_img_text_data' => $this->get_settings('left-img-text'),
            'menu-id01' => $this->get_settings('menu-id'),
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_testimonial() );